ovrimos_fetch_into
ovrimos_field_len
Ovrimos SQL Functions
PHP Manual

# ovrimos_fetch_row

Fetches a row from the result set

### Description

bool ovrimos_fetch_row ( int `$result_id` [, int `$how` [, int `$row_number` ]] )

Fetches a row from the result set. Column values should be retrieved with other calls.

### Parameters

`result_id`

  A result identifier, returned by ovrimos_execute or ovrimos_exec.

`how`

  Determines how the rows are fetched. This can be one of the following strings (case is not significant):

  Option | Notes
  --- | ---
  Next | Forward direction from current position. This is the default value.
  Prev | Backward direction from current position.
  First | Forward direction from the start.
  Last | Backward direction from the end.
  Absolute | Absolute position from the start. Requires `rownumber`.

`rownumber`

  The row number, first one is 0. Only needed when `how` is set to Absolute.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A fetch row example

`<?php
$conn = ovrimos_connect("remote.host", "8001", "admin", "password");
if ($conn != 0) {
echo "Connection ok!";
$res=ovrimos_exec($conn, "select table_id, table_name from sys.tables");
if ($res != 0) {
echo "Statement ok!";
if (ovrimos_fetch_row($res, "First")) {
$table_id = ovrimos_result($res, 1);
$table_name = ovrimos_result($res, 2);
echo "table_id=" . $table_id . ", table_name=" . $table_name . "\n";
if (ovrimos_fetch_row($res, "Next")) {
$table_id = ovrimos_result($res, "table_id");
$table_name = ovrimos_result($res, "table_name");
echo "table_id=" . $table_id . ", table_name=" . $table_name . "\n";
} else {
echo "Next: error\n";
}
} else {
echo "First: error\n";
}
ovrimos_free_result($res);
}
ovrimos_close($conn);
}
?>`
This will fetch a row and print the result.

### See Also

- ovrimos_fetch_into